| Extracted from Pike v7.8 release 866 at 2018-02-09.

[Top]
ADT
ADT.CircularList

# Method ADT.CircularList()->_get_iterator()

Method _get_iterator

  `CircularListIterator _get_iterator(void|int ind)`

Description

  Create and initiate a new CircularListIterator that could be used to iterate over this list.

Parameter `ind`

  If an ind value is supplied the iterator will be positioned at that index.

Returns

  An iterator.